/**
 * @author Mike Tung <miketung2013@gmail.com>
 * @license
 * Copyright Mike Tung All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file
 */
import * as d3 from 'd3';
import { Injectable } from '@angular/core';
export class ChartService {
    /**
     * Method to provide a chart canvas for d3 to operate on
     *
     *
     * @param {?} element
     * @param {?} width
     * @param {?} height
     * @param {?} margins
     * @return {?}
     */
    makeChartCanvas(element, width, height, margins) {
        const /** @type {?} */ el = element.nativeElement;
        return d3.select(el)
            .append('svg')
            .attr('width', width)
            .attr('height', height)
            .append('g')
            .attr('class', 'chart-canvas')
            .attr('transform', `translate(${margins['left']}, ${margins['top']})`);
    }
}
ChartService.decorators = [
    { type: Injectable },
];
/**
 * @nocollapse
 */
ChartService.ctorParameters = () => [];
function ChartService_tsickle_Closure_declarations() {
    /** @type {?} */
    ChartService.decorators;
    /**
     * @nocollapse
     * @type {?}
     */
    ChartService.ctorParameters;
}
//# sourceMappingURL=chart.service.js.map