import { Component } from '@angular/core';

@Component({
  selector: 'ngz-charts-app-root',
  template: `
    <div class="test-area">
      <ngz-charts-barchart [x]="'day'"
                          [y]="'gold'"
                          [data]="testData"
      >
      </ngz-charts-barchart>


      <ngz-charts-barchart [x]="'day'"
                    [y]="'gold'"
                    [width]="400"
                    [height]="800"
                    [data]="testData2">
      </ngz-charts-barchart>
      <ngz-charts-barchart [x]="'day'"
                    [y]="'gold'"
                    [width]="300"
                    [height]="600"
                    [data]="testData2">
      </ngz-charts-barchart>
      <ngz-charts-scatterplot
        [data]="testData3"
        [x]="'x'"
        [y]="'y'"
        [dataPointShape]="'circle'">
      </ngz-charts-scatterplot>
      <ngz-charts-horizontal-bar-chart [y]="'day'"
      [x]="'gold'"
      [data]="testData"
                                       [height]="800"
                                       [width]="800"
      >

      </ngz-charts-horizontal-bar-chart>
      <ngz-charts-timeline
      [data]="timeData"
      [dateLabel]="'day'"
      [dateEvent]="'eventName'"></ngz-charts-timeline>
    </div>
  `,
  styles: [`
    .test-area {
      width: 100%;
      height: 100%;
      display: -webkit-box;
      display: -ms-flexbox;
      display: flex;
      -webkit-box-orient: horizontal;
      -webkit-box-direction: normal;
          -ms-flex-direction: row;
              flex-direction: row;
      padding: 10px;
      -ms-flex-wrap: wrap;
          flex-wrap: wrap; }

    ngz-charts-barchart ::ng-deep .bar {
      fill: green; }

    ngz-charts-scatterplot ::ng-deep .scatter-plot-data {
      fill: purple; }
  `]
})
export class AppComponent {
  testData = [
    {
      'day': 'monday',
      'gold': 1000
    },
    {
      'day': 'tuesday',
      'gold': 2000
    },
    {
      'day': 'wednesday',
      'gold': 4500
    }
  ];

  testData2 = [
    {
      'day': 'Jan',
      'gold': 4000
    },
    {
      'day': 'Feb',
      'gold': 5500
    }
  ];

  testData3 = [
    {'x': 1, 'y': 1},
    {'x': 2, 'y': 2},
    {'x': 3, 'y': 3}
  ];

  timeData = [
    {'day': new Date(1), 'eventName': 'test'},
    {'day': new Date(2), 'eventName': 'test2'},
    {'day': new Date(33), 'eventName': 'test3'},
    ];
}
